
/* DEFS: group Comm1LB: CentralLB{
void Comm1LB(void);
};
 */
#ifndef CK_TEMPLATES_ONLY
int CProxy_Comm1LB::__idx=0;
#endif
#ifndef CK_TEMPLATES_ONLY
    void CProxy_Comm1LB::__register(const char *s, size_t size) {
      __idx = CkRegisterChare(s, size);
  _REGISTER_BASE(__idx, CProxy_CentralLB::__idx);
    /* REG: void Comm1LB(void);
*/
      __idx_Comm1LB_void = CkRegisterEp("Comm1LB", (CkCallFnPtr)_call_Comm1LB_void, 0, __idx);
    }
#endif
#ifndef CK_TEMPLATES_ONLY
/* DEFS: void Comm1LB(void);
 */
int CProxy_Comm1LB::__idx_Comm1LB_void=0;
CkGroupID CProxy_Comm1LB::ckNew(void)
{
      void *msg = CkAllocSysMsg();
  return CkCreateGroup(__idx, __idx_Comm1LB_void, msg, 0, 0);
}
CkGroupID CProxy_Comm1LB::ckNewSync(void)
{
      void *msg = CkAllocSysMsg();
  return CkCreateGroupSync(__idx, __idx_Comm1LB_void, msg);
}
  CProxy_Comm1LB::CProxy_Comm1LB(int retEP, CkChareID *cid)
{
      void *msg = CkAllocSysMsg();
  _ck_gid = CkCreateGroup(__idx, __idx_Comm1LB_void, msg, retEP, cid);
  _setChare(0);
}
  CProxy_Comm1LB::CProxy_Comm1LB(void)
{
      void *msg = CkAllocSysMsg();
  _ck_gid = CkCreateGroup(__idx, __idx_Comm1LB_void, msg, 0, 0);
  _setChare(0);
}
void CProxy_Comm1LB::_call_Comm1LB_void(void* msg, Comm1LB* obj)
{
  new (obj) Comm1LB();
  CkFreeSysMsg(msg);
}
#endif /*CK_TEMPLATES_ONLY*/

#ifndef CK_TEMPLATES_ONLY
void _registerComm1LB(void)
{
  static int _done = 0; if(_done) return; _done = 1;
      _registerCentralLB();

/* REG: group Comm1LB: CentralLB{
void Comm1LB(void);
};
*/
  CProxy_Comm1LB::__register("Comm1LB", sizeof(Comm1LB));

}
#endif
